/******************************************************************************** 
 * File:   global.h
 * Author: Arthur Schwarz
 *
 * Created on April 8, 2009, 2:46 PM
********************************************************************************/

//********************************************************************************
// PURPOSE:
//    Global data required for processing.
//
// DESCRIPTION:
//    contains the generic input, output, and log stream descriptors.
//
// ARCHITECTURE:
//    Because C++ does not allow assignment of streams (stream obj = stream)
//    it is convenient to make streams globally available and globally
//    accessible. This is most simply done using non-class references to
//    required streams.
//
// NOTES:
//    1. Stdin and Stdout are opened for different files during processing.
//    2. Log remains persistent.
//    
//********************************************************************************


#ifndef _GLOBALDATA_H
#define	_GLOBALDATA_H

# include "stdafx.h"

# include <fstream>

using namespace std;

extern ofstream Stdout;                         // Output Stream
extern ifstream Stdin;                          // File containing input ranges
extern ofstream Log;                            // logfile

#endif	/* _GLOBALDATA_H */

